Skip to main content
Get edge network instance
Authentication · API availability · Download OpenAPI

Authorizations

Authorization
string
header
required

Bearer token for user session

Headers

X-Request-Id
string

User-Agent specified id to track a request

Path Parameters

id
string
required

System defined universally unique Id of the network instance

Response

A successful response.

Network instance provides Edge applications a variety of connectivity choices for all types of networks. This enables logical secure connectivity between Edge applications within a single Edge node and within a logical group of Edge nodes. This provides detailed configuration of a Network instance.

name
string
required

User defined name of the network instance, unique across the enterprise. Once object is created, name can’t be changed

Required string length: 3 - 256
Pattern: [a-zA-Z0-9][a-zA-Z0-9_.-]+
title
string
required

User defined title of the network instance. Title can be changed at any time

Required string length: 3 - 256
Pattern: ^[a-zA-Z0-9]+[a-zA-Z0-9!-~ ]+$
deviceId
string
required

id of the device on which network instance is created

port
string
required

name of port mapping in the model

kind
enum<string>
default:NETWORK_INSTANCE_KIND_UNSPECIFIED
required

Kind of Network Instance ( Local, Switch etc )

Available options:
NETWORK_INSTANCE_KIND_UNSPECIFIED,
NETWORK_INSTANCE_KIND_TRANSPARENT,
NETWORK_INSTANCE_KIND_SWITCH,
NETWORK_INSTANCE_KIND_LOCAL,
NETWORK_INSTANCE_KIND_CLOUD,
NETWORK_INSTANCE_KIND_MESH,
NETWORK_INSTANCE_KIND_HONEYPOT
id
string
read-only

System defined universally unique Id of the network instance

Pattern: [0-9A-Za-z-]+
description
string

Detailed description of the network instance

Maximum string length: 256
revision
ObjectRevision is used to store the user information. · object

system defined info for the object

projectId
string

id of the project in which network instance is created

tags
object

Tags are name/value pairs that enable you to categorize resources. Tag names are case insensitive with max_length 512 and min_length 3. Tag values are case sensitive with max_length 256 and min_length 3.

clusterID
string

id of the Cluster in which the network instance is configured

Required string length: 3 - 256
Pattern: [a-zA-Z0-9][a-zA-Z0-9_.-]+
portTags
object

Tags are name/value pairs that enable you to categorize resources. Tag names are case insensitive with max_length 512 and min_length 3. Tag values are case sensitive with max_length 256 and min_length 3.

dhcp
boolean

Deprecated

type
enum<string>
default:NETWORK_INSTANCE_DHCP_TYPE_UNSPECIFIED

Type of DHCP for this Network Instance

Available options:
NETWORK_INSTANCE_DHCP_TYPE_UNSPECIFIED,
NETWORK_INSTANCE_DHCP_TYPE_V4,
NETWORK_INSTANCE_DHCP_TYPE_V6,
NETWORK_INSTANCE_DHCP_TYPE_CRYPTOEID,
NETWORK_INSTANCE_DHCP_TYPE_CRYPTOV4,
NETWORK_INSTANCE_DHCP_TYPE_CRYPTOV6
ip
object

Dhcp Server Configuration

dnsList
Static DNS list · object[]

List of Static DNS entries

oconfig
string
lisp
Lisp Configurations · object

Lisp Config : read only for now. Deprecated.

opaque
object

Service specific Config

deviceDefault
boolean

flag to indicate if this is the default network instance for the device

networkPolicyId
string

id of the network policy to be attached to this network instance

propagateConnectedRoutes
boolean

Automatically propagate connected routes

staticRoutes
Static IP Routes · object[]

List of Static IP routes

mtu
integer<int64>

Maximum transmission unit (MTU) to set for the network instance and all application interfaces connected to it

edgeNodeCluster
object

Edge Node Cluster

forwardLldp
boolean

Enables forwarding of LLDP (Link Layer Discovery Protocol) frames across this network instance. LLDP is used by devices to advertise identity and capabilities to directly connected neighbors, and is often required for topology discovery and network management tools. When enabled, LLDP frames (EtherType 0x88cc) are not dropped or suppressed by the forwarding plane.